> For the complete documentation index, see [llms.txt](https://docs.enclaive.cloud/vault/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.enclaive.cloud/vault/api/system-backend/sys-config-ui.md).

# /sys/config/ui

The `/sys/config/ui` endpoint is used to configure UI settings.

* **`sudo` required** – All UI endpoints require `sudo` capability in addition to any path-specific capabilities.

### Read UI settings

This endpoint returns the given UI header configuration.

| Method | Path                           |
| ------ | ------------------------------ |
| `GET`  | `/sys/config/ui/headers/:name` |

#### Parameters

* `name` `(string: <required>)` – The name of the custom header.
* `multivalue` `(bool: <optional>)` - Returns multiple values if true.

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    http://127.0.0.1:8200/v1/sys/config/ui/headers/X-Custom-Header
```

#### Sample response

```json
{
  "value": "custom-value"
}
```

#### Sample request (Multi value)

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    http://127.0.0.1:8200/v1/sys/config/ui/headers/X-Custom-Header?multivalue=true
```

#### Sample response

```json
{
  "values": ["custom-value-1", "custom-value-2"]
}
```

### Configure UI headers

This endpoint allows configuring the values to be returned for the UI header.

| Method | Path                           |
| ------ | ------------------------------ |
| `POST` | `/sys/config/ui/headers/:name` |

#### Parameters

* `name` `(string: <required>)` – The name of the custom header.
* `values` `(list: <required>)` - The values to be returned from the header.

#### Sample payload

```json
{
  "values": ["custom value 1", "custom value 2"]
}
```

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --request POST \
    --data @payload.json \
    http://127.0.0.1:8200/v1/sys/config/ui/headers/X-Custom-Header
```

### Delete a UI header

This endpoint removes a UI header.

| Method   | Path                           |
| -------- | ------------------------------ |
| `DELETE` | `/sys/config/ui/headers/:name` |

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --request DELETE \
    http://127.0.0.1:8200/v1/sys/config/ui/headers/X-Custom-Header
```

### List UI headers

This endpoint returns a list of configured UI headers.

| Method | Path                     |
| ------ | ------------------------ |
| `LIST` | `/sys/config/ui/headers` |

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --request LIST \
    http://127.0.0.1:8200/v1/sys/config/ui/headers
```

#### Sample response

```json
{
  "data": {
    "keys": ["X-Custom...", "X-Header..."]
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.enclaive.cloud/vault/api/system-backend/sys-config-ui.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
